Bug #9389

Freedesktop SDK 19.08 runtime is no longer supported

Added by Ulrich Gaiser 9 months ago. Updated about 1 month ago.

Status:Feedback Start date:09/20/2021
Priority:Normal Due date:
Assignee:- % Done:

0%

Category:-
Target version:-
Chirp Version:daily Platform:Linux
Model affected:Development

Description

I am using the CHIRP flatpak version.

When updating the runtime from flathub.org I get this message:

Info: org.freedesktop.Platform//19.08 is end-of-life, with reason:
The Freedesktop SDK 19.08 runtime is no longer supported as of September 1, 2021. Please ask your application developer to migrate to a supported version
Applications using this runtime:
com.danplanet.chirp

Please update the flatpak version to a supported runtime (20.08 or better 21.08)

History

Updated by Tim Redman 8 months ago

I've been seeing this as well. Currently running Chirp in a Windows VM until the flatpak is updated. I am unable to compile from source because of Python version issues in Fedora 34.

Is there a roadmap to implement either an updated flatpak or a Python3 version of CHIRP?

Updated by Eric Christensen 7 months ago

Also seeing this. This is blocking upgrades.

Updated by Tony Fuller 4 months ago

We have some patches that came in a few weeks ago in https://chirp.danplanet.com/issues/9739
I'll work with Dan to test it out and update the build script

Updated by Bernhard Hailer about 1 month ago

  • Status changed from New to Feedback
  • Model affected changed from (All models) to Development

Hi Tony, were you able to apply these changes?

Updated by Tony Fuller about 1 month ago

Hi Bernhard,

Dan has accepted Steven's patch to bring the flatpak runtime up to 21.08 (I was merely a broker and a tester) and the current flatpaks are being built on the new runtime.

You should be able to close out all of the "flatpak 19.08 is EOL" issues.

Thanks,
Tony

Also available in: Atom PDF